<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AvatarUserSettings extends \Google\Protobuf\Internal\Message
{
    


    protected $fbid = null;
    


    protected $password = null;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getFbid()
    {
        return isset($this->fbid) ? $this->fbid : '';
    }

    public function hasFbid()
    {
        return isset($this->fbid);
    }

    public function clearFbid()
    {
        unset($this->fbid);
    }

    




    public function setFbid($var)
    {
        GPBUtil::checkString($var, True);
        $this->fbid = $var;

        return $this;
    }

    



    public function getPassword()
    {
        return isset($this->password) ? $this->password : '';
    }

    public function hasPassword()
    {
        return isset($this->password);
    }

    public function clearPassword()
    {
        unset($this->password);
    }

    




    public function setPassword($var)
    {
        GPBUtil::checkString($var, True);
        $this->password = $var;

        return $this;
    }

}

